declare class UtilServiceBase {
    convertHexadecimalToNumber(hexString: string): number;
    getRandomDecimal(min: number, max: number): number;
    getRandomInt(min: number, max: number): number;
    getRandomString(count: number): string;
    getRandomAlphabet(count: number): string;
    camelCaseToSentenceCase(text: string): string;
    toTitleCase(text: string): string;
    isValidPhoneNumber(_str: string): boolean;
    convertObjectPlainObject<T = any>(objData: T): T;
    removeDuplicateString(items: string[]): string[];
    objectHasAnyProperty(obj: any): boolean;
    waitUntilMilliseconds(ms: number): Promise<void>;
    waitUntilSeconds(seconds: number): Promise<void>;
    waitUntilMunites(munites: number): Promise<void>;
    generateDynamoTableKey(date?: any): string;
}
export declare const UtilService: UtilServiceBase;
export {};
